Bug 46469 - : Menu displays on dual-monitor systems too far to the left
Summary: : Menu displays on dual-monitor systems too far to the left
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
(earliest affected)
3.5.0 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
QA Contact:
Whiteboard: BSA
: 48321 49650 52528 (view as bug list)
Depends on:
Reported: 2012-02-22 10:29 UTC by Greg
Modified: 2013-11-14 19:43 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:

Screenshot of Writer showing menu positions (65.04 KB, image/png)
2012-05-16 02:40 UTC, David Scourfield
Writer menu in KDE (2.05 MB, application/x-7z-compressed)
2012-06-14 06:56 UTC, Kirill Elagin
Proposed fix (616 bytes, patch)
2012-06-15 16:43 UTC, Ruslan Kabatsayev

Note You need to log in before you can comment on or make changes to this bug.
Description Greg 2012-02-22 10:29:45 UTC
When using Calc and Impress, set up a dual-monitor system. In my case, I have my laptop on the left, and the 2nd monitor on the right.

Ubuntu, 10.04 Lucid

1. Whenever I open a spreadsheet or presentation, the utility always displays on the laptop screen, even though I last closed it on the extended monitor. 

2. Move the app over to the extended monitor and go full screen.

3. "File" menu appears on the left monitor instead of being contained in the boundaries of the app on the right monitor. All the other menus seem to be biased a little to far to the left as well but are ok.
Comment 1 sasha.libreoffice 2012-04-03 07:21:05 UTC
Thanks for bugreport
Please, attach screenshot of bug
And tell: used desktop, reproducible on another desktop (Unity, Gnome, KDE and so on) or not, name of Video card vendor(s) and name of Video card driver(s)
Comment 2 David Scourfield 2012-05-16 02:40:52 UTC
Created attachment 61711 [details]
Screenshot of Writer showing menu positions

This is a cropped multihead screenshot.  Writer is maximised in the right-hand monitor.  As can be seen, the menus are being pushed as far to the left and top as they can be.
Comment 3 David Scourfield 2012-05-16 02:45:46 UTC
I am having this problem, too.  Please see my attached screenshot.  My environment is:

Arch Linux, 64-bit (up-to-date)
Gnome 3.4.1
GeForce GTS 450/PCIe/SSE2 (Nouveau driver)

I do not have access to another multihead environment to test other desktops and this is my work computer, so I cannot install other desktops on here.
Comment 4 sasha.libreoffice 2012-05-16 04:38:47 UTC
Thanks for additional testing and information
not reproducible in 3.5.2 on Windows 7 32 bit
May be Linux specific or Gnome specific
Comment 5 Greg 2012-05-18 14:04:48 UTC
My video is integrated (Lenovo X201)
       description: VGA compatible controller
       product: Core Processor Integrated Graphics Controller
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 02
       width: 64 bits
       clock: 33MHz
       capabilities: msi pm bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:29 memory:f2000000-f23fffff memory:d0000000-dfffffff(prefetchable) ioport:1800(size=8)

GNOME 2.30.2

Still present in LO
Comment 6 sasha.libreoffice 2012-05-19 03:12:47 UTC
Thanks for additional information. May be someone can try in another desktop? For determine that it is not Gnome specific.
Comment 7 Kirill Elagin 2012-06-14 06:56:51 UTC
Created attachment 63023 [details]
Writer menu in KDE

This is NixOS, KDE 4.7.4, LibrO 350m1(build102).

Please note, that on the rightmost screen the menus are shifted to the left, and that looks odd. Also note that “File” menu looks fine when the window is in the top-left corner but not maximized.

Sorry, I forgot to swtich Writer's interface language, so it's russian on my screenshots, but, I hope, you'll get the idea.
Comment 8 sasha.libreoffice 2012-06-14 23:37:23 UTC
Thanks for testing on KDE
Slightly resembles Bug 48168 and Bug 48321
Comment 9 Ruslan Kabatsayev 2012-06-15 16:43:28 UTC
Created attachment 63092 [details]
Proposed fix

Could someone check if this patch fixes this bug?
Comment 10 David Tardon 2012-06-20 01:56:41 UTC
this has been fixed by commit 3f996588792d3dbefb001d546524a877d50d537c
Comment 11 David Tardon 2012-06-20 01:57:52 UTC
*** Bug 48168 has been marked as a duplicate of this bug. ***
Comment 12 David Tardon 2012-06-20 01:58:49 UTC
*** Bug 48321 has been marked as a duplicate of this bug. ***
Comment 13 David Tardon 2012-06-20 01:59:53 UTC
*** Bug 49650 has been marked as a duplicate of this bug. ***
Comment 14 David Tardon 2012-07-26 13:02:14 UTC
*** Bug 52528 has been marked as a duplicate of this bug. ***